@echo off
if "%1"=="" (set TEST=??) else (set TEST=%1)
set TASK=fatalism
pushd ..
if NOT exist %TASK%_ik.exe call cs %TASK%_ik.cpp
popd
for %%i in (%TEST%) do (
echo Test %%i:
pushd ..
copy tests\%%i %TASK%.in >nul
%TASK%_ik
copy %TASK%.out tests\%%i.b >nul
popd
check %%i %%i.b %%i.a
)
